curl --request POST \
--url http://{host}:{port}/{contextPath}/schema/log \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"version": "7.11.0",
"sortBy": "timestamp",
"sortOrder": "asc"
}
'import requests
url = "http://{host}:{port}/{contextPath}/schema/log"
payload = {
"version": "7.11.0",
"sortBy": "timestamp",
"sortOrder": "asc"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({version: '7.11.0', sortBy: 'timestamp', sortOrder: 'asc'})
};
fetch('http://{host}:{port}/{contextPath}/schema/log', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "0",
"version": "7.11.0",
"timestamp": "2019-05-13T09:07:11.751+0200"
}
]Get List (POST)
Queries for schema log entries that fulfill given parameters.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Pagination of results. Specifies the index of the first result to return.
Pagination of results. Specifies the maximum number of results to return. Will return less results if there are no more results left.
Body
The version of the schema.
A JSON array of criteria to sort the result by. Each element of the array is a JSON object that specifies one ordering. The position in the array identifies the rank of an ordering, i.e., whether it is primary, secondary, etc.
Show child attributes
Show child attributes
Response
Request successful. Note: In order to get any results a user of group camunda-admin must be authenticated.